Subject: Boric Acid for insects

From: [email-masked] (Richard Wexelblat)
Date: 17 Aug 1993 12:36:53 GMT

Mail indicates that the "Boric Acid Trick" is not as well known as I
thought.  In general it works for ants, roaches, earwigs, (less for)
centipedes, perhaps for all creepy crawlies, who knows?

You need to get boric acid powder where they run.  This means either
careful study to focus on specific domicile or entry points or a lot of
powder to broadcast.  The action is mechanical:  the powder adheres to
the waxy coating on their exoskeletons and as they groom it off, it
scratches through the coating, compromising it.  Then they die of
dehydration.

My wife got an "insufflator" at a large pharmacy.  It's like a 2" long
turkey baster.  Using this she puffs boric acid powder under kitchen
cabinets, around drain pipes, etc.  It seems to do the trick in only 1
or 2 applications.  My guess is about an ounce or so per time per
kitchen, but I'm not an expert.

I'm told this is an entirely safe process as it won't harm the
environment.  I'm also told that a bit on you or even in your food
won't hurt -- but I'm not an expert in this domain.

--
--Dick Wexelblat  ([email-masked])
  Soon to be elsewhere -- stay tuned for new address.